﻿using System;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            ddlImages.DataSource = this.GetData("SELECT Id, Name FROM tblFiles");
            ddlImages.DataTextField = "Name";
            ddlImages.DataValueField = "Id";
            ddlImages.DataBind();
        }
    }

    private DataTable GetData(string query)
    {
        DataTable dt = new DataTable();
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlDataAdapter sda = new SqlDataAdapter(query, con))
            {
                sda.Fill(dt);
            }
            return dt;
        }
    }

    protected void FetchImage(object sender, EventArgs e)
    {
        string id = ddlImages.SelectedItem.Value;
        Image1.Visible = id != "0";
        if (id != "0")
        {
            byte[] bytes  = (byte[])this.GetData("SELECT Data FROM tblFiles WHERE Id =" + id).Rows[0]["Data"];
            string base64String = Convert.ToBase64String(bytes, 0, bytes.Length);
            Image1.ImageUrl = "data:image/png;base64," + base64String;
        }
    }
}